/*
 * @Author: zc
 * @description 辅助功能-短信
 */
import request from '@/utils/request';
/**
 * @description 短信列表基础数据
 */
export const messageBase = () => {
    return request({
        url: `/api/v1/PushMessage/list-data`,
        method: 'get'
    });
};
/**
 * @description 短信列表
 * @param {object} params
 */
export const messageList = (params: object) => {
    return request({
        url: `/api/v1/PushMessage/getlist`,
        method: 'get',
        params,
    });
};
/**
 * @description 重新发送
 * @param {string} id
 */
export const pushMessage = (id: string) => {
    return request({
        url: `/api/v1/PushMessage/${id}`,
        method: 'get'
    });
};