/*
 * @Author: zc
 * @description 辅助功能-智能外呼任务
 */
import request from '@/utils/request';
/**
 * @description 查询外呼模板列表
 * @param {object} params
 */
export const smartCallOutTemList = (params: object) => {
  return request({
    url: '/api/v1/Ai/callout-template-list',
    method: 'get',
    params
  });
};
/**
 * @description 新增外呼模板
 * @param {object} data
 */
export const smartCallOutTemAdd = (data: object) => {
  return request({
    url: '/api/v1/Ai/add-callouttemplate',
    method: 'post',
    data
  });
};
/**
 * @description 修改外呼模板
 * @param {object} data
 */
export const smartCallOutTemEdit = (data: object) => {
  return request({
    url: '/api/v1/Ai/update-callouttemplate',
    method: 'post',
    data
  });
};
/**
 * @description 删除外呼模板
 * @param {string} id
 */
export const smartCallOutTemDelete = (id: string) => {
  return request({
    url: `/api/v1/Ai/del-callouttemplate?id=${id}`,
    method: 'delete',
  });
};
/**
 * @description 外呼模板启用禁用
 * @param {object} params
 */
export const smartCallOutTemEnable = (params: object) => {
  return request({
    url: '/api/v1/Ai/callouttemplate-enable-unenable',
    method: 'get',
    params
  });
};