/*
 * @Author: zc
 * @description 业务管理-工单发布
 */
import request from '@/utils/request';

/**
 * @description 工单已发布列表
 * @param {any} params
 */
export const publishedList = (params: object) => {
	return request({
		url: `/api/v1/Order/published`,
		method: 'get',
		params,
	});
};
/**
 * @description 工单发布修改内容
 * @param data
 */
export const publishOrderUpdate = (data: object) => {
	return request({
		url: `/api/v1/Order/published-order-modify`,
		method: 'post',
		data,
	});
};
/**
 * @description 工单发布详情
 * @param id
 */
export const publishOrderDetail = (id: string) => {
	return request({
		url: `/api/v1/Order/published-order/${id}`,
		method: 'get',
	});
};
/**
 * @description 发布页面基础信息
 * @param id
 */
export const baseData = (id: string) => {
	return request({
		url: `/api/v1/Order/publish-order-pagebase/${id}`,
		method: 'get',
	});
};
