/*
 * @Author: zc
 * @description 业务管理-二次办理
 */
import request from '@/utils/request';
/**
 * @description 二次办理申请列表基础数据
 * @param {object} params
 */
export const secondHandleBase = (params?: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling/base`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次办理申请列表
 * @param {object} params
 */
export const secondHandleList = (params: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling/apply`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次办理申请列表导出
 * @param {object} data
 */
export const secondHandleExport = (data: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling/apply_export`,
		method: 'post',
		responseType: 'blob',
		data,
		headers: {
			'Content-Type': 'application/json; application/octet-stream'
		}
	},{
		reduce_data_format:false
	});
};
/**
 * @description 新增二次办理
 * @param {object} data
 */
export const secondHandleAdd = (data: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling`,
		method: 'post',
		data,
	});
};
/**
 * @description 二次办理审核列表
 * @param {object} params
 */
export const secondHandleAuditList = (params: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling`,
		method: 'get',
		params,
	});
};
/**
 * @description 二次办理审核列表导出
 * @param {object} data
 */
export const secondHandleAuditExport = (data: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling/_export`,
		method: 'post',
		responseType: 'blob',
		data,
		headers: {
			'Content-Type': 'application/json; application/octet-stream'
		}
	},{
		reduce_data_format:false
	});
};
/**
 * @description 二次办理审核
 * @param {object} data
 */
export const secondHandleAudit = (data: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling/audit`,
		method: 'put',
		data,
	});
};
/**
 * @description 二次办理批量审核
 * @param {object} data
 */
export const secondHandleAuditBatch = (data: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling/batch_audit`,
		method: 'put',
		data,
	});
};
/**
 * @description 二次办理退回
 * @param {string} data
 */
export const secondHandleReturn = (data: object) => {
	return request({
		url: `/api/v1/Order/secondary_handling/send_back`,
		method: 'post',
		data
	});
};

/**
 * @description 二次办理详情
 * @param {string} id
 */
export const secondHandleDetail = (id: string) => {
	return request({
		url: `/api/v1/Order/secondary_handling/${id}`,
		method: 'get',
	});
};
