/*
 * @Author: zc
 * @description 业务管理-工单回访
 */
import request from '@/utils/request';

/**
 * @description 工单回访列表
 * @param {object} params
 */
export const visitList = (params: object) => {
    return request({
        url: `/api/v1/Order/visit`,
        method: 'get',
        params
    });
};
/**
 * @description 工单回访保存
 * @param data
 */
export const visitOrder = (data: object) => {
    return request({
        url: `/api/v1/Order/visit`,
        method: 'post',
        data
    });
};
/**
 * @description 工单回访详情页基础数据
 * @param id
 */
export const visitDetailBaseData = (id: string) => {
    return request({
        url: `/api/v1/Order/visit/${id}`,
        method: 'get'
    });
};
/**
 * @description 工单回访明细列表(已回访明细)
 * @param params
 */
export const visitDetailList = (params: object) => {
    return request({
        url: `/api/v1/Order/visit/detail`,
        method: 'get',
        params
    });
};
/**
 * @description 回访查询基础数据
 */
export const visitSearchBaseData = () => {
    return request({
        url: `/api/v1/Order/visit/basedata`,
        method: 'get'
    });
}