/*
 * @Author: zc
 * @description 首页
 */
import request from '@/utils/request';

/**
 * @description 获取我的快捷入口
 * @return {*}
 */
export const geFastMenu = () => {
	return request({
		url: '/api/v1/Home/get-myfastmenu',
		method: 'get',
	});
};
/**
 * @description 获取可选快捷入口
 * @param {object} data
 * @return {*}
 */
export const fastMenu = (data?: object) => {
	return request({
		url: '/api/v1/Home/get-fastmenu',
		method: 'post',
		data,
	});
};
/**
 * @description 设置快捷入口
 * @param {object} data
 * @return {*}
 */
export const setFastMenu = (data: object) => {
	return request({
		url: '/api/v1/Home/set-fastmenu',
		method: 'post',
		data,
	});
};
/**
 * @description 获取首页数据
 * @return {*}
 */
export const getHomeData = () => {
	return request({
		url: '/api/v1/CommonP/home_data',
		method: 'get',
	});
};
/**
 * @description 获取首页列表待办
 * @return {*}
 */
export const getHomeList = () => {
	return request({
		url: '/api/v1/Order/waited/home',
		method: 'get',
	});
};
