/*
 * @Author: zc
 * @description 数据统计-话务统计
 */
import request from '@/utils/request';
import qs from "qs";
/**
 * @description 智能回访列表
 * @param {object} params
 */
export const  getSmartVisitList = (params:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/aivisit-list`,
        method: 'get',
        params
    });
}
/**
 * @description 智能回访明细
 * @param {object} params
 */
export const  getSmartVisitDetail = (params:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/aivisitdetail-list`,
        method: 'get',
        params
    });
}
/**
 * @description 可进行智能回访记录
 * @param {object} params
 */
export const  getSmartVisitRecord = (params:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/canaivisit-list`,
        method: 'get',
        params,
        paramsSerializer: (params:any) => qs.stringify(params)
    });
}
/**
 * @description  新增智能回访任务
 * @param {object} data
 */
export const  smartVisitAdd = (data:object) => {
    return request({
        url: `/api/v1/Ai/aivisit/add-aivisit`,
        method: 'post',
        data
    });
}
/**
 * @description  新增智能回访任务 基础数据
 */
export const  smartVisitBaseData = () => {
    return request({
        url: `/api/v1/Ai/aivisit/base-data`,
        method: 'get',
    });
}