/*
 * @Author: zc
 * @description 数据统计-部门数据统计
 */
import request from '@/utils/request';
/**
 * @description 中心统计列表查询
 * @param {object} params
 */
export const centerList = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/centre_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门不满意统计
 * @param {object} params
 */
export const departmentUnsatisfied = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-nosatisfied`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门不满意统计明细
 * @param {object} params
 */
export const departmentUnsatisfiedDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-nosatisfied-detail`,
		method: 'get',
		params,
	});
};
/**
 * @description 特提统计
 * @param {object} params
 */
export const departmentSpecial = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/special_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 特提统计明细
 * @param {object} params
 */
export const departmentSpecialDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/special_data_list/list`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点类型统计
 * @param {object} params
 */
export const departmentHot = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotspot_data_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门热点类型统计
 * @param {object} params
 */
export const departmentHotDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotport-org-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 受理量前十
 * @param {object} params
 */
export const departmentTopTen = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/accept_type_top10_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 回访量统计
 * @param {object} params
 */
export const departmentVisit = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/visit-measure-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 热点类型小类统计
 * @param {object} params
 */
export const departmentHotSmall = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/hotspot-statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门受理类型统计周期
 * @param {object} params
 */
export const departmentAcceptType = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/department_acceptance_type_statistics`,
		method: 'get',
		params,
	});
};
/**
 * @description 部门受理类型统计周期明细
 * @param {object} params
 */
export const departmentAcceptTypeDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/department_acceptance_type_order_list`,
		method: 'get',
		params,
	});
};
/**
 * @description 派单量统计
 * @param {object} params
 */
export const departmentDispatch = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/send_order_report`,
		method: 'get',
		params,
	});
};
/**
 * @description 派单量统计明细
 * @param {object} params
 */
export const departmentDispatchDetail = (params: object) => {
	return request({
		url: `/api/v1/BiOrder/send_order_detail_report`,
		method: 'get',
		params,
	});
};
