/*
 * @Author: zc
 * @description 系统管理-数据共享平台配置
 */
import request from '@/utils/request';
/**
 * @description 查询数据共享平台配置
 * @param {object}  params
 */
export const getDataShareConfig = (params?: object) => {
  return request({
    baseURL:import.meta.env.VITE_DATASHARE_API_YRL,
    url: `/api/v1/HotlineWeb/info-configurationinformation`,
    method: 'get',
    params,
  });
};
/**
 * @description 修改数据共享平台配置
 * @param {object}  data
 */
export const editDataShareConfig = (data: object) => {
  return request({
    baseURL:import.meta.env.VITE_DATASHARE_API_YRL,
    url: `/api/v1/HotlineWeb/update-configurationinformation`,
    method: 'put',
    data,
  });
};